Bug 326163 - Telepathy SIPE plugin not working
Summary: Telepathy SIPE plugin not working
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: git-latest
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 20:24 UTC by Kanwar Plaha
Modified: 2013-11-25 10:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kanwar Plaha 2013-10-17 20:24:08 UTC
1. The UI for adding a sipe account behaves weird. Try adding an account to experience it. While entering the account name, certain keys ('a', for example) makes the focus jump to another entry field. This causes errors in entries and entering password is very hard. Currently, I type all values in krunner and the cut/paste to fields! Surely, this is not the expected behaviour nor is it safe for entering passwords.
2. Once everything is entered, the plugin just does not connect. As I understand, it is using the same libpurple/haze plugin that is used by pidgin and the latter has no issues connecting. This is very annoying to the end-user if not to the devs.
3. Finally, where is the error log file so one can check what's going on under the hood?

Thanks.

Reproducible: Always

Steps to Reproduce:
1. Open Instant Messaging Settings ...
2. Click 'Add Account'
3. Click 'All [ AOL, Gadu-Gadu, Yahoo and more ... ]
4. Choose sipe / office communicator and click Next
5. Try entering values in any of the entry fields
If the above is successful, click Finish and try to connect.
Actual Results:  
Incorrect focus order of entry fields as well as strange behaviour when entering values in any of the fields, often leading to incorrect entries.

Expected Results:  
Field entry UI behaves as expected and kde-telepathy successfully connects to a sipe account.
Comment 1 David Edmundson 2013-11-22 18:20:57 UTC
run ktp-debugger to see everything going on under the hood.

Also install telepathy-rakia. It sounds like you're getting the autogenerated fallback UI which would happen if it's trying to load the SIP gateway from libpurple
Comment 2 David Edmundson 2013-11-25 10:57:46 UTC
Git commit 470db0270038cf715dca7951b562a28aa9b09882 by David Edmundson, on behalf of Maksim Melnikau.
Committed on 24/11/2013 at 22:37.
Pushed by davidedmundson into branch 'master'.

Add plugin for haze/sipe protocol support

REVIEWED-BY: David Edmundson
Related: bug 328037

A  +8    -0    data/profiles/sipe-haze.profile
M  +5    -0    plugins/haze/CMakeLists.txt
M  +5    -1    plugins/haze/haze-account-ui-plugin.cpp
A  +71   -0    plugins/haze/haze-sipe-account.cpp     [License: LGPL (v2.1+)]
A  +46   -0    plugins/haze/haze-sipe-account.h     [License: LGPL (v2.1+)]
A  +50   -0    plugins/haze/sipe-advanced-settings-widget.cpp     [License: LGPL (v2.1+)]
A  +42   -0    plugins/haze/sipe-advanced-settings-widget.h     [License: LGPL (v2.1+)]
A  +163  -0    plugins/haze/sipe-advanced-settings-widget.ui
A  +46   -0    plugins/haze/sipe-main-options-widget.cpp     [License: LGPL (v2.1+)]
A  +41   -0    plugins/haze/sipe-main-options-widget.h     [License: LGPL (v2.1+)]
A  +78   -0    plugins/haze/sipe-main-options-widget.ui

http://commits.kde.org/telepathy-accounts-kcm/470db0270038cf715dca7951b562a28aa9b09882